import Vue from 'vue'
import App from './App.vue'
import store from '@/store'
import Vuebar from 'vuebar'
import VueClipboard from 'vue-clipboard2'
import imgPreview from '@/components/popup/imgPreview'
import packetGet from '@/components/popup/packetGet'
import packetSend from '@/components/popup/packetSend'
import otherInfo from '@/components/popup/otherInfo'

Vue.use(Vuebar)
Vue.use(VueClipboard)
Vue.use(imgPreview)
Vue.use(otherInfo, store)
Vue.use(packetGet, store)
Vue.use(packetSend, store)

Vue.config.productionTip = false

new Vue({
  render: h => h(App),
  store
}).$mount('#app')
